Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Class SiteFeatureReferenceModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.FeatureReferenceModel
                  org.eclipse.update.core.FeatureReference
                      org.eclipse.update.core.SiteFeatureReferenceModel

All Implemented Interfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment

Direct Known Subclasses:
  SiteFeatureReference

public class SiteFeatureReferenceModel
extends FeatureReference

Site Feature reference model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.1
See Also:
  `FeatureReference`

Constructor Summary
`SiteFeatureReferenceModel()` Creates an uninitialized feature reference model object.
`SiteFeatureReferenceModel(ISiteFeatureReference ref)` Constructor FeatureReferenceModel.

Method Summary
`void` | `addCategoryName(String categoryName)` Adds the name of a category this feature belongs to.
`String[]` | `getCategoryNames()` Returns the names of categories the referenced feature belongs to.
`void` | `removeCategoryName(String categoryName)` Removes the name of a categorys this feature belongs to.
`void` | `setCategoryNames(String[] categoryNames)` Sets the names of categories this feature belongs to.

Methods inherited from class org.eclipse.update.core.FeatureReference
`getFeature, getFeature, getFeature, getName, getNL, getOS, getOSArch, getSite, getVersionedIdentifier, getWS, isPatch, setSite, setURL`

Methods inherited from class org.eclipse.update.core.model.FeatureReferenceModel
`equals, getFeatureIdentifier, getFeatureVersion, getLabel, getLabelNonLocalized, getPatch, getPropertyName, getSiteModel, getType, getURL, getURLString, resolve, setArch, setFeatureIdentifier, setFeatureVersion, setLabel, setNL, setOS, setPatch, setSiteModel, setType, setURLString, setWS, toString`

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### SiteFeatureReferenceModel

    public SiteFeatureReferenceModel()

  Creates an uninitialized feature reference model object.

Since:
  2.0

### SiteFeatureReferenceModel

    public SiteFeatureReferenceModel(ISiteFeatureReference ref)

  Constructor FeatureReferenceModel.

Parameters:
  `ref` -

Method Detail

### getCategoryNames

    public String[] getCategoryNames()

  Returns the names of categories the referenced feature belongs to.

  Returns:
    an array of names, or an empty array.
  Since:
    2.0

### setCategoryNames

    public void setCategoryNames(String[] categoryNames)

  Sets the names of categories this feature belongs to. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `categoryNames` - an array of category names
  Since:
    2.0

### addCategoryName

    public void addCategoryName(String categoryName)

  Adds the name of a category this feature belongs to. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `categoryName` - category name
  Since:
    2.0

### removeCategoryName

    public void removeCategoryName(String categoryName)

  Removes the name of a categorys this feature belongs to. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `categoryName` - category name
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.